OpsRamp agent need regular updates to support the latest features and bug fixes to improve the performance. OpsRamp recommends updating Agent to the latest version.
Based on the type of versions, OpsRamp Agents are categorized as G1 or G2.

  • G1 Agents contain lesser than version 3.9.9-1 for Linux and version 5.99.0022 for Windows, respectively.
  • G2 Agents contain greater than version 3.9.9-1 for Linux and version 5.99.0022 for Windows, respectively.

Prerequisites

The agent is online and communicates with the cloud.

Considerations

When you update an agent version from G1 to G2, note the following considerations:

  • You cannot update an agent version G1 to G2 for unsupported Windows versions.
  • OpsRamp does not support agent-based SNMP Monitor and SNMP Trap Monitor in G2 Agent. Alternatively, you can use Gateway-based SNMP Monitors and Trap Monitor.
  • When you update an agent to G2 version, all the features (Remote Command, Patch Management, Automation, Remote Console) are enabled by default.
  • If you have created any custom monitor that uses the Vistara path, then you need to modify the path for OpsRamp branding changes. No change is required for the custom monitors developed by OpsRamp.

Limitations

The following remote commands are not supported on Linux and Windows after updating Agent to G2 version:

  • SNMP WALK
  • OpsRampAgent Modules

Update agents

  1. Go to Setup > Monitoring, and click Update Agents.
  2. Perform one of the following options to update the agent:
    • Scheduled Update: Select the required agent and click Allow. Agent checks Cloud for available updates every six hours and updates automatically.
    • On-demand Update: Select the required agent and click Allow and click Update Now. An agent update is triggered instantly and the selected agent is updated to the latest version.

The selected agent is updated to the latest version.